ALAS-2021-1459


Amazon Linux AMI Security Advisory: ALAS-2021-1459
Advisory Release Date: 2021-01-12 22:51 Pacific
Advisory Updated Date: 2021-01-13 18:05 Pacific
Severity: Medium

Issue Overview:

It was discovered that the "setElementTypePrefix()" function incorrectly extracted XML namespace prefixes. By tricking an application into processing a specially crafted XML file, an attacker could cause unusually high consumption of memory resources and possibly lead to a denial of service. (CVE-2018-20843 )

In libexpat before 2.2.8, crafted XML input could fool the parser into changing from DTD parsing to document parsing too early; a consecutive call to XML_GetCurrentLineNumber (or XML_GetCurrentColumnNumber) then resulted in a heap-based buffer over-read. (CVE-2019-15903 )


Affected Packages:

expat


Issue Correction:
Run yum update expat to update your system.

New Packages:
i686:
    expat-2.1.0-12.24.amzn1.i686
    expat-debuginfo-2.1.0-12.24.amzn1.i686
    expat-devel-2.1.0-12.24.amzn1.i686

src:
    expat-2.1.0-12.24.amzn1.src

x86_64:
    expat-debuginfo-2.1.0-12.24.amzn1.x86_64
    expat-devel-2.1.0-12.24.amzn1.x86_64
    expat-2.1.0-12.24.amzn1.x86_64